--- old/usr/src/uts/common/avs/ns/sdbc/sd_bcache.c	sam. juil. 16 15:13:33 2016
+++ new/usr/src/uts/common/avs/ns/sdbc/sd_bcache.c	sam. juil. 16 15:13:33 2016
@@ -433,10 +433,10 @@
 
 static
 nsc_def_t _sdbc_fd_def[] = {
-	"Attach",	(uintptr_t)sdbc_fd_attach_cd,	0,
-	"Detach",	(uintptr_t)sdbc_fd_detach_cd,	0,
-	"Flush",	(uintptr_t)sdbc_fd_flush_cd,	0,
-	0,		0,				0
+	{ "Attach",	(uintptr_t)sdbc_fd_attach_cd,	0 },
+	{ "Detach",	(uintptr_t)sdbc_fd_detach_cd,	0 },
+	{ "Flush",	(uintptr_t)sdbc_fd_flush_cd,	0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
 
 
@@ -2100,7 +2100,7 @@
 	_sd_cctl_t *lentry = NULL;
 	_sd_cctl_t *ioent = NULL;
 	_sd_cctl_t *last_ioent = NULL;
-	sdbc_allocbuf_t alloc_tok = {0};
+	sdbc_allocbuf_t alloc_tok = {{(intptr_t)NULL}};
 	int this_entry_type = 0;
 	nsc_size_t request_blocks = 0; /* number of cache blocks required */
 	int pageio;
@@ -2540,7 +2540,7 @@
 	int this_entry_type;
 	int locked = 0;
 	nsc_size_t dmchain_request_blocks; /* size of dmchain in cache blocks */
-	sdbc_allocbuf_t alloc_tok = {0};
+	sdbc_allocbuf_t alloc_tok = {{(intptr_t)NULL}};
 	int min_frag = 0;	/* frag statistics */
 	int max_frag = 0;	/* frag statistics */
 	int nfrags = 0;		/* frag statistics */
@@ -4144,7 +4144,7 @@
 _sd_cctl_t *
 sdbc_centry_alloc_blks(int cd, nsc_off_t cblk, nsc_size_t reqblks, int flag)
 {
-	sdbc_allocbuf_t alloc_tok = {0}; /* must be 0 */
+	sdbc_allocbuf_t alloc_tok = {{(intptr_t)NULL}}; /* must be NULL */
 	int stall = 0;
 	_sd_cctl_t *centry = NULL;
 	_sd_cctl_t *lentry = NULL;
@@ -7085,29 +7085,29 @@
 
 
 nsc_def_t _sd_sdbc_def[] = {
-	"Open",		(uintptr_t)_sd_open_io,			0,
-	"Close",	(uintptr_t)_sd_close_io,		0,
-	"Attach",	(uintptr_t)_sdbc_io_attach_cd,		0,
-	"Detach",	(uintptr_t)_sdbc_io_detach_cd,		0,
-	"AllocBuf",	(uintptr_t)_sd_alloc_buf,		0,
-	"FreeBuf",	(uintptr_t)_sd_free_buf,		0,
-	"Read",		(uintptr_t)_sd_read,			0,
-	"Write",	(uintptr_t)_sd_write,			0,
-	"Zero",		(uintptr_t)_sd_zero,			0,
-	"Copy",		(uintptr_t)_sd_copy,			0,
-	"CopyDirect",	(uintptr_t)_sd_copy_direct,		0,
-	"Uncommit",	(uintptr_t)_sd_uncommit,		0,
-	"AllocHandle",	(uintptr_t)_sd_alloc_handle,		0,
-	"FreeHandle",	(uintptr_t)_sd_free_handle,		0,
-	"Discard",	(uintptr_t)_sd_discard_pinned,		0,
-	"Sizes",	(uintptr_t)_sd_cache_sizes,		0,
-	"GetPinned",	(uintptr_t)_sd_get_pinned,		0,
-	"NodeHints",	(uintptr_t)_sd_node_hint_caller,	0,
-	"PartSize",	(uintptr_t)_sd_get_partsize,		0,
-	"MaxFbas",	(uintptr_t)_sd_get_maxfbas,		0,
-	"Control",	(uintptr_t)_sd_control,			0,
-	"Provide",	NSC_CACHE,				0,
-	0,		0,					0
+	{ "Open",	(uintptr_t)_sd_open_io,			0 },
+	{ "Close",	(uintptr_t)_sd_close_io,		0 },
+	{ "Attach",	(uintptr_t)_sdbc_io_attach_cd,		0 },
+	{ "Detach",	(uintptr_t)_sdbc_io_detach_cd,		0 },
+	{ "AllocBuf",	(uintptr_t)_sd_alloc_buf,		0 },
+	{ "FreeBuf",	(uintptr_t)_sd_free_buf,		0 },
+	{ "Read",	(uintptr_t)_sd_read,			0 },
+	{ "Write",	(uintptr_t)_sd_write,			0 },
+	{ "Zero",	(uintptr_t)_sd_zero,			0 },
+	{ "Copy",	(uintptr_t)_sd_copy,			0 },
+	{ "CopyDirect",	(uintptr_t)_sd_copy_direct,		0 },
+	{ "Uncommit",	(uintptr_t)_sd_uncommit,		0 },
+	{ "AllocHandle", (uintptr_t)_sd_alloc_handle,		0 },
+	{ "FreeHandle",	(uintptr_t)_sd_free_handle,		0 },
+	{ "Discard",	(uintptr_t)_sd_discard_pinned,		0 },
+	{ "Sizes",	(uintptr_t)_sd_cache_sizes,		0 },
+	{ "GetPinned",	(uintptr_t)_sd_get_pinned,		0 },
+	{ "NodeHints",	(uintptr_t)_sd_node_hint_caller,	0 },
+	{ "PartSize",	(uintptr_t)_sd_get_partsize,		0 },
+	{ "MaxFbas",	(uintptr_t)_sd_get_maxfbas,		0 },
+	{ "Control",	(uintptr_t)_sd_control,			0 },
+	{ "Provide",	NSC_CACHE,				0 },
+	{ NULL,		(uintptr_t)NULL,			0 }
 };
 
 /*
